Page MenuHomePhabricator

Deploy all portals from gerrit (for the first time) (DUE Nov 12)
Closed, ResolvedPublic3 Story Points

Description

This task represents someone actually running the new scripts, to deploy all the portals from gerrit. Note that the actual portal contents at this point should be identical to what they were when last deployed from meta.

Event Timeline

ksmith raised the priority of this task from to Normal.
ksmith updated the task description. (Show Details)
ksmith added subscribers: ksmith, mxn, MSyed, Aklapper.

What new scripts?

@MZMcBride: I'll ask @MaxSem to step in and clarify/correct what I'm about to say. But my latest understanding is that this will actually rely on the existing WMF deployment scripts that move content from a git repo onto a server. So nothing truly new there.

There will be some new scripts to replicate the work mxn did very recently to start automating content inside the page. Those scripts are being worked on as T117799: Create a script to update portals based on stats.

MaxSem moved this task from Backlog to Done on the Discovery-Portal-Sprint board.Nov 17 2015, 7:41 PM
JGirault set Security to None.Dec 9 2015, 10:52 PM
JGirault edited a custom field.
Deskana closed this task as Resolved.Dec 29 2015, 7:02 PM
Deskana assigned this task to JGirault.
Deskana moved this task from Needs triage to On Sprint Board on the Discovery board.
Deskana added a subscriber: Deskana.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Jan 26 2016, 12:33 AM